wxWidgets: wxStockPreferencesPage Class Reference

| Version: 3.1.7

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
wxStockPreferencesPage Class Reference

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.7-1.x86_64/src/wxWidgets-3.1.7/interface/wx/preferences.h>`

Inheritance diagram for wxStockPreferencesPage:
[legend]

## Detailed Description

Specialization of wxPreferencesPage useful for certain commonly used preferences page.

On macOS, preferences pages named "General" and "Advanced" are commonly used in apps and the OS provides stock icons for them that should be used. Instead of reimplementing this behaviour yourself, you can inherit from wxStockPreferencesPage and get correct title and icon.

Notice that this class only implements GetName() and GetIcon(), you still have to provide the rest of wxPreferencesPage implementation.

##

Library: wxCore

Since
  2.9.5

## Public Types
enum | Kind { Kind_General , Kind_Advanced }
| Kinds of stock pages. More...

## Public Member Functions
| wxStockPreferencesPage (Kind kind)
| Constructor.
Kind | GetKind () const
| Returns the page's kind.
virtual wxString | GetName () const
| Reimplemented to return suitable name for the page's kind.
virtual wxBitmapBundle | GetIcon () const
| Reimplemented to return stock icon on macOS.
Public Member Functions inherited from wxPreferencesPage
| wxPreferencesPage ()
| Constructor.
virtual | ~wxPreferencesPage ()
| Destructor.
virtual wxBitmap | GetLargeIcon () const =0
virtual wxWindow * | CreateWindow (wxWindow *parent)=0
| Create a window for this page.

## Member Enumeration Documentation

## ◆ Kind

enum wxStockPreferencesPage::Kind

Kinds of stock pages.

Enumerator
Kind_General | The "General" page.
Kind_Advanced | The "Advanced" page.

## Constructor & Destructor Documentation

## ◆ wxStockPreferencesPage()

wxStockPreferencesPage::wxStockPreferencesPage | ( | Kind | kind | ) |

Constructor.

## Member Function Documentation

## ◆ GetIcon()

virtual wxBitmapBundle wxStockPreferencesPage::GetIcon | ( |  | ) | const
| virtual

Reimplemented to return stock icon on macOS.

Implements wxPreferencesPage.

## ◆ GetKind()

Kind wxStockPreferencesPage::GetKind | ( |  | ) | const

Returns the page's kind.

## ◆ GetName()

virtual wxString wxStockPreferencesPage::GetName | ( |  | ) | const
| virtual

Reimplemented to return suitable name for the page's kind.

Implements wxPreferencesPage.